Crypt::DSA::Key::SSH2(3pm)

NAME
Crypt::DSA::Key::SSH2 - Read/write DSA SSH2 files

SYNOPSIS
    use Crypt::DSA::Key;
    my $key = Crypt::DSA::Key->new( Type => 'SSH2', ...);
    $key->write( Type => 'SSH2', ...);

DESCRIPTION
Crypt::DSA::Key::SSH2 provides an interface to reading and writing DSA SSH2 files, using Data::Buffer, which provides functionality for SSH-compatible binary in/out buffers.

Currently encrypted key files are not supported.

You shouldn't use this module directly. As the SYNOPSIS above suggests, this module should be considered a plugin for Crypt::DSA::Key, and all access to SSH2 files (reading DSA keys from disk, etc.) should be done through that module.

Read the Crypt::DSA::Key documentation for more details.

AUTHOR & COPYRIGHTS
Please see the Crypt::DSA manpage for author, copyright, and license information.